/*
--- FOGLIO STILE SFONDO E POSIZIONE ---
In questo foglio stile  possibile personalizzare lo sfondo generale del sito pubblico e la posizione e sfondo dei riquadri interni.
Pe ogni riquadro  definita una regola es. div_main dove  specificato il colore di sfondo, la larghezza, i margini, ...
I riquadri possono contenere altri elementi (immagini,testo,pulsanti) o essere dei separatori per spaziare altri riquadri
*/

/*- BODY  una regola generale che applica a tutte le pagine, permette di impostare caratteristiche come il font e lo sfondo -*/
body
{
    font-family: Arial; /*Tipo di carattere (Courier,Times New Roman,...)*/
    font-size: 11pt; /*Dimensione del carattere in punti*/
    /*background: linear-gradient(#009900, #CCffCC); /*Sfondo di tipo gradiente verticale da verde scuro a verde chiaro*/
    background-attachment: fixed; /*Sfondo fisso, nel caso del gradiente imposta l'altezza del gradiente a tutta finestra*/
    background-repeat: no-repeat; /*Ripetizione sfondo disattivata*/
    margin-top: 3px; /*Margine superiore*/
}


/*
In generale le pagine sono strutturate con una serie di riquadri (DIV) come segue:

 ------------DIV MAIN-------------
|                                 |          Un riquadro grande DIV MAIN 
|   ---------DIV HEAD----------   |          che contiene altri riquadri
|  |                           |  |
|   ---------------------------   |
|   ---------DIV HEAD2---------   |
|  |                           |  |
|   ---------------------------   |
|   ---------DIV CENTER--------   |
|  |                           |  |
|   ---------------------------   |
|   ---------DIV FOOTER--------   |
|  |                           |  |
|   ---------------------------   |
 ---------------------------------

*/

/* Riquadro principale DIV MAIN presente in tutte le pagine contiene in alto il logo evento e sotto altri riquadri in funzione della pagina */
.div_main
{
    background-color: #FFFFFF; /*Colore di sfondo*/
    width: 780px; /*Larghezza del riguadro*/
    margin-left: auto; /*Spaziatura esterna al riquadro automatica per centrare il riquadro in qualsiasi schermo*/
    margin-right: auto; /*Spaziatura esterna al riquadro automatica per centrare il riquadro in qualsiasi schermo*/
    padding-top:4px; /*Spaziatura interna superiore*/
    padding-bottom:4px; /*Spaziatura interna inferiore*/
}

/* Riquadro DIV HEAD presente in tutte le pagine contiene il logo evento */
.div_head
{
    background-color: #FFFFFF;
    width: 770px;
    /*height: 170px;*/ /*Altezza del riguadro*/
    text-align:center; /*Allineamento orizzontale del contenuto*/
}

/* Riquadro DIV HEAD2 presente in tutte le pagine contiene la data e ora e nell'homepage i pulsanti per la lingua*/
.div_head2
{
    background-position: center;
    background-color: #008489;
    width: 780px;
    border: 0px solid #CCCCCC;
    margin-left: auto;
    margin-right: auto;
    margin-bottom:3px;
    height: 22px;
    display:block;
    vertical-align: top;
}

/*All'interno del DIV HEAD2  presente una tabella che raggruppa i pulsanti lingua e l'ora con questa regola:*/
    .table_head
    {
        width: 100%;
        font-size: 10pt;
        vertical-align: top;
        color: #FFFFFF;
        /*font-weight: bolder;*/
    }  

/* Riquadro DIV FOOTER presente in tutte le pagine contiene l'indirizzo email dell'evento a il nome conferenza o altra scritta*/
.div_footer
{
    border: 1px solid #CCCCCC;
    width: 770px;
    margin-left: auto;
    margin-right: auto;
    background-color: #EEEEEE;
}

/*All'interno del DIV FOOTER  presente una tabella che raggruppa le scritte con questa regola:*/
   .table_footer
    {
        background-color: #EEEEEE;
        width: 100%;
        font-size: 11pt;
    }
    
.div_footer2
{
    width: 770px;
    margin-left: auto;
    margin-right: auto;
    text-align:center;
}    

/* Riquadro DIV CENTER presente nella pagina di login, contiente riquadri DIV LOGIN2 e DIV LOGINSEP*/
.div_login
{
    border: 1px solid #F8F8F8;
    width: 770px;
    margin-left: auto;
    margin-right: auto;
    background-color: #F8F8F8;
}

.div_login2
{
    margin-top: 5px;
    margin-right: 5px;
    margin-left: 5px;
    margin-bottom: 5px;
}

.div_loginsep
{
    margin-right: 5px;
    margin-left: 5px;
    height: 8px;
}

/*All'interno del DIV LOGIN  presente una tabella che raggruppa le scritte e il pulsante "Nuovo Account" con questa regola:*/
    .table_login
    {
        /*border: 1px solid #FF0000;*/
        background-color: #DFDFDF;
        width: 100%;
        font-size: 11pt;
    }  

/* Riquadro DIV CENTER presente nella pagine interne (menu,anagrafica,...), contiente riquadri DIV WELCOME, DIV TIT e DIV SEP1*/
.div_center
{
    border: 1px solid #F8F8F8;
    width: 770px;
    margin-left: auto;
    margin-right: auto;
    /*text-align:center;*/
}

.div_welcome
{
    height: 36px;
    width: 600px;
    display:inline-block;
    padding-left:3px;
    padding-top:3px;
}

.div_tit
{
    padding-left:3px;
    padding-top:3px;
}

.div_sep1
{
     height: 6px;
     padding-top:7px;
     padding-bottom:7px;
}

.div_sep2
{
     height: 3px;
     margin-top:6px;
     margin-bottom:6px;
     background-color: #008489;
}

.div_sponsor
{
     padding-left:3px;
   }


/*All'interno del DIV CENTER  presente una tabella che raggruppa le scritte e i vari pulsanti con queste regole:*/
    
    /*TABELLA PAGINA MENU*/
    /*Regola per la tabella sfondo, font (la tabella ha 2 colonne)*/
    .table_menu
    {
        background-color: #CCCCCC;
        width: 100%;
        font-size: 11pt;
        border-spacing: 0px;
        border-collapse: collapse;
    }

    /*Regola per tutte le celle*/
    .table_menu td
    {
        padding: 3px;
        border-width: 1px 0px 0px 0px;
        border-style: solid;
        border-top-color: #EEEEEE;
    }   
     
    /*Regola per la prima colonna (sinistra)*/
    .td_menu_left
    {
        background-color: #DFDFDF;
        vertical-align:middle;
        height:26px;
    }
    .td_menu_left_carr
{
    background-color: #ededed;
    vertical-align: middle;
    height: 26px;
}

    /*Regola per la seconda colonna (destra)*/
    .td_menu_right
    {
        background-color: #DFDFDF;
        vertical-align:middle;
        text-align:right;
    }
   .td_menu_right_carr
    {
        background-color: #ededed;
        vertical-align:middle;
        text-align:right;
    }


    /*TABELLA DATI ANAGRAFICI*/
    /*Regola per la tabella sfondo, font (la tabella ha 2 colonne)*/
    .table_anagrafica
    {
        background-color: #CCCCCC;
        width: 100%;
        font-size: 11pt;
        border-spacing: 0px;
        border-collapse: collapse;
    }

    /*Regola per tutte le celle*/
    .table_anagrafica td
    {
        padding: 3px;
        border-width: 1px 0px 0px 0px;
        border-style: solid;
        border-top-color: #EEEEEE;
    }
    
    .th_anagrafica
    {
        background-color: #008489;
        color: #FFFFFF;
        font-weight:bold;
    }

    /*Regola per la prima colonna (sinistra)*/
    .td_anagrafica_left
    {
        background-color: #484848;
        text-align:right;
        vertical-align:top;
        color: #FFFFFF;
        font-weight:bold;
    }

    /*Regola per la seconda colonna (destra)*/
    .td_anagrafica_right
    {
        background-color: #DFDFDF;
        vertical-align:top;
    }
    
    /*RIGA CONSENSO PRIVACY*/
    /*Regola per la tabella sfondo, font (la tabella ha 2 colonne)*/
    .table_privacy
    {
        background-color: #CCCCCC;
        width: 100%;
        font-size: 11pt;
        border-spacing: 0px;
        border-collapse: collapse;
        border:2px #008489 solid;
    }
    .table_privacy td
    {
        padding: 3px;
        /*border-width: 1px 0px 0px 0px;
        border-style: solid;
        border-top-color: #EEEEEE;*/
    }
    
    .td_privacy_left
    {
        vertical-align:middle;
        width:60%;
    }
    
    .td_privacy_right
    {
        text-align:right;
        vertical-align:middle;
    }

    
/*
--- FOGLIO STILE PULSANTI e SCRITTE ---
In questo foglio stile  possibile personalizzare i pulsanti e le scritte presenti sul sito pubblico di bookdirect.

SCRITTE
Per ogni categoria di scritte  definita una regola es. lab_login dove  specificato il colore, il font,... 
In fondo al file  presente una sezione per le scritte di errore generate dai validatori es. Nome Obbligatorio,...

PULSANTI
Per ogni categoria di pulsanti  definita una regola es. butt_accedi dove  specificato il colore, il font, il bordo, ...
Per ogni regola  possibile aggiungere una sotto-regola per evidenziare il pulsante al passaggio del mouse es. butt_accedi:hover
nella sotto-regola si pu specificare un colore, bordo differente

*/

/* Tutte le pagine */
/* Applica alle scritte nel DIV FOOTER (vedi book_pubblico_main.css) */
.lab_footer
{
    font-size: 9pt;
    color: #484848;
}

/* Applica ai link nel DIV FOOTER (vedi book_pubblico_main.css) */
.lab_footer_hl
{
    font-size: 9pt;
    color: #008489;
}

.msgok
{
    font-weight:bold;
    color:Green;
    }
    
.msgnok
{
    font-weight:bold;
    color:red;
    }

/* Pagina Homepage */
/* Applica a pulsanti: "Nuovo Account","Accedi"  -*/
.butt_accedi
{
    color: #FFFFFF;             /*Colore del testo in notazione RGB esadecimale*/
    /*background-color: #EFEFEF;  /*Colore di sfondo*/
    border-left: 1px solid #FFFFFF;  /*Bordo espresso come spessore, tipo, colore*/
    border-top: 1px solid #FFFFFF;  /*Bordo espresso come spessore, tipo, colore*/
    border-right: 1px solid #555555;  /*Bordo espresso come spessore, tipo, colore*/
    border-bottom: 1px solid #555555;  /*Bordo espresso come spessore, tipo, colore*/
    padding: 10px;              /*Spaziatura interna dal bordo*/
    font-weight: bold;          /*Peso del carattere (bold,normal)*/
    font-size: 13pt;            /*Dimensione del carattere in punti*/
    width:160px;                /*Larghezza del pulsante*/
    text-align:center;          /*Allineamento (left,center,right)*/
    background: #008489;
    display:block;              /*Elemento di sistema non modificare*/
}

.butt_accedi:hover              /*In questo caso al passaggio del mouse viene cambiato il bordo e il colore del testo in grigio*/
{
    color: #C20E1A;
    /*background-color: #FFFFFF;*/
    background: #FFFFFF;
}

.butt_accedi_disabled
{
    color: #606060;             /*Colore del testo in notazione RGB esadecimale*/
    /*background-color: #EFEFEF;  /*Colore di sfondo*/
    border-left: 1px solid #DDDDDD;  /*Bordo espresso come spessore, tipo, colore*/
    border-top: 1px solid #DDDDDD;  /*Bordo espresso come spessore, tipo, colore*/
    border-right: 1px solid #555555;  /*Bordo espresso come spessore, tipo, colore*/
    border-bottom: 1px solid #555555;  /*Bordo espresso come spessore, tipo, colore*/
    padding: 10px;              /*Spaziatura interna dal bordo*/
    font-weight: bold;          /*Peso del carattere (bold,normal)*/
    font-size: 13pt;            /*Dimensione del carattere in punti*/
    width:160px;                /*Larghezza del pulsante*/
    text-align:center;          /*Allineamento (left,center,right)*/
    background:#008489;
    display:block;              /*Elemento di sistema non modificare*/
}

/* Applica a pulsanti: "Nuovo Account","Accedi"  -*/
.butt_login_s
{
    color: #008489;
    font-weight: bold;
    font-size: 10pt;
}

.butt_login_s:hover
{
    color: #C20E1A;
    font-weight: bold;
}

/* Applica a pulsanti: "Nuovo Account","Accedi"  -*/
.butt_lang
{
    color: #008489;
    background-color: #FFFFFF;
    border: 1px solid #FFFFFF;
    padding-left: 3px;          /*In questo caso la spaziatura interna  diversa per ogni lato*/
    padding-right: 3px;
    padding-top: 2px;
    padding-bottom: 2px;
    font-weight: bold;
}

.butt_lang:hover
{
    color: #C20E1A;
}

/* Applica a scritte credenziali (Username,Password) */
.lab_login
{
    font-style: italic;
}

.tb_sponsor
{
    color: #018FAD;
    font-weight: bold;
    text-transform:uppercase;
    border:1px solid #018FAD;
    padding-left:3px;
}

.lab_sponsor
{
    color: #018FAD;
    font-weight: bold;
    }
    
.img_sponsor
{
    vertical-align:bottom;
    padding:0px;
    margin:0px;
    }    
    
    .prezzo_sponsor
    {
        text-decoration:line-through;
        }


/* Pagine Interne */
/* Pulsante generico es. "Salva" -*/
.butt_general
{
    color: #FFFFFF;
    background: #008489;
    border-left: 1px solid #FFFFFF;
    border-top: 1px solid #FFFFFF;  
    border-right: 1px solid #555555; 
    border-bottom: 1px solid #555555; 
    padding:2px;
    font-weight: bold;
    width:150px;
     text-align:center;
    display:block;
}

.butt_general:hover
{
    color: #C20E1A;
    background: #FFFFFF;
}

.butt_generaldis
{
    color: #FFFFFF;
    background: #008489;
    border-left: 1px solid #FFFFFF;
    border-top: 1px solid #FFFFFF;  
    border-right: 1px solid #555555; 
    border-bottom: 1px solid #555555; 
    padding:2px;
    font-weight: bold;
    width:150px;
     text-align:center;
    display:block;
}

.butt_general_inline
{
    color: #FFFFFF;
    background: #008489;
    border-left: 1px solid #FFFFFF;
    border-top: 1px solid #FFFFFF;  
    border-right: 1px solid #555555; 
    border-bottom: 1px solid #555555; 
    padding:2px;
    font-weight: bold;
    width:150px;
     text-align:center;
     display:inline-block;
}

.butt_generaldis_inline
{
    color: #FFFFFF;
    background:#008489;
    border-left: 1px solid #FFFFFF;
    border-top: 1px solid #FFFFFF;  
    border-right: 1px solid #555555; 
    border-bottom: 1px solid #555555; 
    padding:2px;
    font-weight: bold;
    width:150px;
     text-align:center;
     display:inline-block;
}

.butt_general_inline:hover
{
    color: #C20E1A;
    background: #FFFFFF;
}

.butt_general_inlines
{
    color: #FFFFFF;
    background:#008489;
    border-left: 1px solid #FFFFFF;
    border-top: 1px solid #FFFFFF;  
    border-right: 1px solid #555555; 
    border-bottom: 1px solid #555555; 
    padding:2px;
    font-weight: bold;
    width:120px;
    text-align:center;
    display:inline-block;
}


.butt_general_inlines:hover
{
    color: #C20E1A;
    background: #FFFFFF;
}


/* Applica a pulsanti: "HomePage" -*/
.butt_login
{
    color: #FFFFFF;
    font-weight: bold;
    border: 1px solid #008489;
    padding:2px;
    height:29px;
}

.butt_login:hover
{
    color: #008489;
    background-color: #FFFFFF;
}

/* Applica al titolo della pagina es. "Registrazione nuovo account"*/
.lab_tit
{
    font-size: 12pt;
    font-weight: bold;
    text-align: center;
}

/*Pagina Menu Account*/
/* Applica alla scritta Benvenuto ...*/
.lab_welcome
{
    font-size: 12pt;
    font-weight: bold;
    color: #484848;
}




.lab_info_servizio
{
    font-size: 10pt;
    color: #484848;
    }



/*VALIDATORI
Queste regole sono utilizzate per le scritte di errore visualizzare in caso di campi obbligatori o con specifici requisiti 
*/

/* Validatori per i campi anagrafica*/
.validator_anagrafica
{
    border: 1px solid #FF0000;
    color: #FF3300;
    font-weight: bold;
    padding: 3px;
    width: 98%;
    margin: 2px;
    background-color: #ededed;
}


/*
    FOGLIO STILE PER ELENCHI, GRIGLIE es. carrello, hotel
*/


.col_prezzo
{
 width:80px;
}

.gv_servizi_out
{
    width:30px;
    border-left:1px solid white;
    border-top:1px solid white;
    border-bottom:1px solid white;
    text-align:center;
}

.gv_servizi_h_out
{
    width:30px;
    border-left:1px solid white;
    border-right:1px solid white;
    border-top:1px solid white;
    border-bottom:1px solid white;
}

.gv_servizi_h
{
    border-left:1px solid white;
    border-right:1px solid white;
    border-top:1px solid white;
    border-bottom:1px solid white;
    padding:4px 10px 3px 3px;
}

.gv_footer_r
{
    border-right:1px solid white;
    padding:4px 10px 3px 3px;
    font-weight:bold;
    }
    
.gv_footer_l
{
    border-left:1px solid white;
    padding:4px 10px 3px 3px;
    font-weight:bold;
    }

.gv_riga 
{
     border-left:1px solid #EFEFEF;
     border-right:1px solid #EFEFEF;
     border-bottom:1px solid #EFEFEF;
     background-color:#EFEFEF;
    }
.gv_riga td
{
    padding:4px 10px 3px 3px;
     border-left:1px solid #EFEFEF;
     border-right:1px solid #EFEFEF;
     border-bottom:1px solid #EFEFEF;
    }
    
    
.gv_riga:hover
{
     background:#CCCCCC;
    }
    
    
.gv_riga_alt
{
     background:#FAFAFA;
     border-left:1px solid #FAFAFA;
     border-right:1px solid #FAFAFA;
     border-bottom:1px solid #FAFAFA;
    
    }
.gv_riga_alt td
{
    padding:4px 10px 3px 3px;
    /*DFDFDF*/
     border-left:1px solid #FAFAFA;
     border-right:1px solid #FAFAFA;
     border-bottom:1px solid #FAFAFA;
    }    
    
.gv_riga_alt:hover
{
     background:#CCCCCC;
    }
    

/*- Regole generali di sistema non modificare -*/
a
{
      text-decoration: none;  
    }
   
   
       /*background-color: #EEEEEE;*/ 
    /*background-color: #FF9900;*/ 
    /*background:#008489;*/
